describe('InvoiceInDescriptor', () => {
    const dialogBtns = '.q-card__actions button';
    const firstDescritorOpt = '.q-menu > .q-list > :nth-child(1) > .q-item__section';
    const isBookedField = '.q-card:nth-child(3) .vn-label-value:nth-child(5) .q-checkbox';

    it('should booking and unbooking the invoice properly', () => {
        cy.viewport(1280, 720);
        cy.login('developer');
        cy.visit('/#/invoice-in/1/summary');
        cy.waitForElement('.q-page');

        cy.openActionsDescriptor();
        cy.get(firstDescritorOpt).click();
        cy.get(dialogBtns).eq(1).click();
        cy.get(isBookedField).should('have.attr', 'aria-checked', 'true');

        cy.get(firstDescritorOpt).click();
        cy.get(dialogBtns).eq(1).click();
        cy.get(isBookedField).should('have.attr', 'aria-checked', 'false');
    });
});
